#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

varying LOWP vec4 v_color;
varying vec2 v_texCoords;

uniform sampler2D u_texture;

void main() {
    vec4 color = texture2D(u_texture, v_texCoords);
    if(color.a == 0.0)
        color = vec4(1, 1, 1, 0);
    else
        color = vec4(color.rgb / color.a, color.a);
	gl_FragColor = v_color * color;
}